Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187194 - Don't assign listeners on Sources during scan
Don't assign listeners on Sources during scan
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
PC Mac OS X
: P3 (vote)
: 7.0
Assigned To: Tomas Zezula
issues@editor
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 09:54 UTC by Tomas Zezula
Modified: 2010-07-08 09:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2010-06-04 09:54:17 UTC
The sources created by EmbeddingIndexers during scan assigns listeners which costs ~5% of the time.
Comment 1 Tomas Zezula 2010-06-04 11:26:47 UTC
Fixed jet-main 50d66a89baaa
Comment 2 Quality Engineering 2010-06-05 07:47:41 UTC
Integrated into 'main-golden', will be available in build *201006050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/50d66a89baaa
User: Tomas Zezula <tzezula@netbeans.org>
Log: #187194:Don't assign listeners on Sources during scan
Comment 3 rbalada 2010-06-16 08:56:09 UTC
Please verify bugfix for this bug, so it can be included in release691 repository.

Thanks,
-R
Comment 4 rbalada 2010-06-21 14:06:47 UTC
main #50d66a89baaa transplanted to release691 #1f5fd360408c
Comment 5 Martin Fousek 2010-07-08 09:29:32 UTC
Verified in release691.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo